Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1731907 - python2-fmn-consumer fails to install on Fedora 31 due to missing Python 2 dependencies 
Summary: python2-fmn-consumer fails to install on Fedora 31 due to missing Python 2 d...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-fmn-consumer
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FailsToInstall PY2FTBI
TreeView+ depends on / blocked
 
Reported: 2019-07-22 11:18 UTC by Miro Hrončok
Modified: 2019-11-02 21:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-31 07:39:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-07-22 11:18:57 UTC
$ mock -r fedora-rawhide-x86_64 init
$ mock -r fedora-rawhide-x86_64 install python2-fmn-consumer
Problem: conflicting requests
 - nothing provides python2-fmn needed by python2-fmn-consumer-1.0.3-9.fc31.noarch

Please remove python2-fmn-consumer from Fedora, it is a leaf package. Thanks.

Comment 1 Miro Hrončok 2019-07-29 09:22:38 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

Thank You!

Comment 2 Miro Hrončok 2019-08-05 08:47:10 UTC
This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Comment 3 Miro Hrončok 2019-08-13 14:54:19 UTC
This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Comment 4 Ben Cotton 2019-08-13 17:03:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 5 Ben Cotton 2019-08-13 17:13:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 6 Miro Hrončok 2019-08-20 10:14:52 UTC
This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Comment 7 Miro Hrončok 2019-08-20 10:19:29 UTC
The package is now orphaned. https://pagure.io/releng/issue/8655

Comment 8 Miro Hrončok 2019-08-21 15:46:59 UTC
See https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

"Packages still failing to install due to a missing Python 2 dependency will be retired at Beta Freeze, assuming they have a Bugzilla bug open for at least 2 weeks. The package maintainer may postpone this retirement to the Final Freeze by promising to fix it until then."

Let me know if this package shall not be retired yet. The beta freeze is at 2019-08-29, the final freeze is at 2019-10-08.

Comment 9 Miro Hrončok 2019-08-28 11:21:07 UTC
Retired the package in master and f31. Let me know if you want me review it once (if) it is added back.

Comment 10 Miro Hrončok 2019-08-30 11:57:14 UTC
Requesting a freeze exception based on https://pagure.io/fesco/issue/2216#comment-593925

Comment 11 Adam Williamson 2019-08-30 16:10:17 UTC
Unproposing per https://pagure.io/fesco/issue/2216#comment-594033 . Please only propose bugs where an update was actually pending before the 29th, unless there is a more urgent reason why that package specifically should get an FE.

Comment 12 Miro Hrončok 2019-08-31 07:39:16 UTC
I've verified that the package is gone from the fedora repo. Thanks and sorry for panicking.


Note You need to log in before you can comment on or make changes to this bug.